/* test driver for wrpcsv package */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "wrpcsv.h"

int main()
{
	char buf[BUFSIZ];
   int csv, csv2, ret;
   char *p;
   int nflds, i;

   csv = wrpCsvCreate();
   printf("csv=%d\n", csv);
   if (csv < 0) printf("CSV Error: %s\n", wrpCsvGetErrMsg());

   csv2 = wrpCsvCreate();
   printf("csv2=%d\n", csv2);
   if (csv2 < 0) printf("Csv2 Error: %s\n", wrpCsvGetErrMsg());

   ret = wrpCsvDestroy(csv);
   printf("CSV Destroy(%d) returned %d\n", csv, ret);
   if (ret != 0) printf("Csv Error: %s\n", wrpCsvGetErrMsg());

   ret = wrpCsvDestroy(csv2);
   printf("CSV Destroy(%d) returned %d\n", csv2, ret);
   if (ret != 0) printf("Csv2 error: %s\n", wrpCsvGetErrMsg());

   csv = wrpCsvCreate();
   printf("\nUsing CSV %d\n", csv);

   while (1)
     { /* loop getting commands from user */
       printf("Enter CSV line, or ENTER to quit: ");
       gets(buf);
       if (*buf == '\0') break;
       ret = wrpCsvParseString(csv, buf);
       if (ret < 0) printf("ErrMsg=%s\n", wrpCsvGetErrMsg());
       else p = wrpCsvGetLine(csv);
       if (p == NULL)
	 {
	   printf("GetLine returns NULL\n");
	 }
       else
	 {
	   printf("Line is >>%s<<\n", p);
	 }
       nflds = wrpCsvGetNumFields(csv);
       printf("%d fields:\n", nflds);
       for (i=0; i < nflds; i++)
	 {
	   p = wrpCsvGetField(csv, i);
	   printf("\tfld[%d]=%s\n", i, p);
	 }
     }

   printf("Press ENTER to terminate program: ");
   gets(buf);

   return (0);
}

